Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOCostomerRegist.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOCostomerRegist.cs	(nonexistent)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOCostomerRegist.cs	(revision 55)
@@ -0,0 +1,577 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Data;
+using System.Collections;
+
+using log4net;
+using Oracle.ManagedDataAccess.Client;
+
+using ProcessManagement.DB.Oracle;
+using ProcessManagement.DB.Core;
+using ProcessManagement.DataModel;
+
+using ProcessManagement.Common;
+
+namespace ProcessManagement.DB.IOAccess
+{
+    /// <summary>
+    /// 発注者登録申請データＤＢアクセス
+    /// </summary>
+    public class IOCostomerRegist : OracleProcess
+    {
+        #region 定義部
+        /// <summary>
+        /// log4netログを使用する
+        /// </summary>
+        private static readonly ILog logger = LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// 発注者登録申請データフィールド並び
+        /// </summary>
+        public enum DataColumn
+        {
+            PetitionNo = 0,
+            SeqNo,
+            PetitionPeriod,
+            PersonCode,
+            PetitionDate,
+            OrderFlg,
+            CorporateStatusName,
+            CorporateStatusPoint,
+            OrderersName1,
+            OrderersName2,
+            DepartmentName,
+            ChargePersonName,
+            ZipCode,
+            Address1,
+            Address2,
+            Address3,
+            PhoneNumber,
+            FaxNumber,
+            MailAddress,
+            Note,
+            OrderCotegory,
+            OrderNo,
+            EntryDate,
+            UpdateDate,
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// コンストラクタ
+        /// </summary>
+        /// <param name="ConnectionString"></param>
+        public IOCostomerRegist()
+            : base(DBCommon.Instance.DBConnectString)
+        {
+        }
+
+        #endregion
+
+        #region 発注者登録申請データ検索SQL作成
+        /// <summary>
+        /// 発注者登録申請データ検索作成
+        /// </summary>
+        /// <param name="AddSQLString">検索条件SQL文字列</param>
+        /// <param name="data">発注者登録申請データデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        private string CreateSelectSQL()
+        {
+            string strcmd = "SELECT";
+            strcmd += " PetitionNo";
+            strcmd += " ,SeqNo";
+            strcmd += " ,PetitionPeriod";
+            strcmd += " ,PersonCode";
+            strcmd += " ,TO_CHAR(PetitionDate, 'YYYY/MM/DD')";
+            strcmd += " ,OrderFlg";
+            strcmd += " ,CorporateStatusName";
+            strcmd += " ,CorporateStatusPoint";
+            strcmd += " ,OrderersName1";
+            strcmd += " ,OrderersName2";
+            strcmd += " ,DepartmentName";
+            strcmd += " ,ChargePersonName";
+            strcmd += " ,ZipCode";
+            strcmd += " ,Address1";
+            strcmd += " ,Address2";
+            strcmd += " ,Address3";
+            strcmd += " ,PhoneNumber";
+            strcmd += " ,FaxNumber";
+            strcmd += " ,MailAddress";
+            strcmd += " ,Note";
+            strcmd += " ,OrderCotegory";
+            strcmd += " ,OrderNo";
+
+            strcmd += " ,TO_CHAR(EntryDate, 'YYYY/MM/DD HH24:MI:ss')";
+            strcmd += " ,TO_CHAR(UpdateDate, 'YYYY/MM/DD HH24:MI:ss')";
+            strcmd += " FROM CostomerRegist";
+
+            return strcmd;
+        }
+        #endregion
+
+        #region 発注者登録申請データ検索（複数）
+        /// <summary>
+        /// 発注者登録申請データ検索（複数）
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool SelectAction(string AddSQLString, ref List<CostomerRegist> data, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                strcmd = CreateSelectSQL() + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    CostomerRegist work = new CostomerRegist();
+                    Reader2Struct(objwrk, ref work);
+                    data.Add(work);
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 発注者登録申請データ検索（1件）
+        /// <summary>
+        /// 発注者登録申請データ検索（1件）
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool SelectAction(string AddSQLString, ref CostomerRegist data, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                strcmd = CreateSelectSQL() + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (arData.Count == 0) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    Reader2Struct(objwrk, ref data);
+                    break;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 発注者登録申請データ追加（1件）
+        /// <summary>
+        /// 発注者登録申請データ追加（1件）
+        /// </summary>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool InsertAction(CostomerRegist work, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                strcmd = "INSERT INTO CostomerRegist";
+                strcmd += " (";
+
+                bool bFirst = true;
+                foreach (var gender in Enum.GetValues(typeof(DataColumn)))
+                {
+                    if (!bFirst) strcmd += " ,";
+                    strcmd += gender.ToString();
+                    bFirst = false;
+                }
+
+                strcmd += ") VALUES (";
+
+                strcmd += string.Format("  {0}", work.PetitionNo);
+                strcmd += string.Format(", {0}", work.SeqNo);
+                strcmd += string.Format(", {0}", work.PetitionPeriod);
+                strcmd += string.Format(", {0}", work.PersonCode);
+                strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", work.PetitionDate.ToShortDateString());
+                strcmd += string.Format(", {0}", work.OrderFlg);
+                strcmd += string.Format(", '{0}'", work.CorporateStatusName);
+                strcmd += string.Format(", {0}", work.CorporateStatusPoint);
+                strcmd += string.Format(", '{0}'", work.OrderersName1);
+                strcmd += string.Format(", '{0}'", work.OrderersName2);
+                strcmd += string.Format(", '{0}'", work.DepartmentName);
+                strcmd += string.Format(", '{0}'", work.ChargePersonName);
+                strcmd += string.Format(", '{0}'", work.ZipCode);
+                strcmd += string.Format(", '{0}'", work.Address1);
+                strcmd += string.Format(", '{0}'", work.Address2);
+                strcmd += string.Format(", '{0}'", work.Address3);
+                strcmd += string.Format(", '{0}'", work.PhoneNumber);
+                strcmd += string.Format(", '{0}'", work.FaxNumber);
+                strcmd += string.Format(", '{0}'", work.MailAddress);
+                strcmd += string.Format(", '{0}'", work.Note);
+                strcmd += string.Format(", {0}", work.OrderCotegory);
+                strcmd += string.Format(", {0}", work.OrderNo);
+
+                strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strcmd = strcmd + ")";
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 発注者登録申請データ追加（複数）
+        /// <summary>
+        /// 発注者登録申請データ追加（複数）
+        /// </summary>
+        /// <param name="data">発注者登録申請データデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool InsertAction(List<CostomerRegist> data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                foreach (CostomerRegist work in data)
+                {
+                    if (!InsertAction(work, bConnect)) return false;
+                }
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 発注者登録申請データ更新
+        /// <summary>
+        /// 発注者登録申請データ更新
+        /// </summary>
+        /// <param name="AddSQLString">更新条件SQL文字列</param>
+        /// <param name="data">発注者登録申請データデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool UpdateAction(string AddSQLString, CostomerRegist data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                strcmd = "UPDATE CostomerRegist";
+
+                strcmd += " SET";
+
+                strcmd += string.Format(" PetitionNo = {0}", data.PetitionNo);
+                strcmd += string.Format(", SeqNo = {0}", data.SeqNo);
+                strcmd += string.Format(", PetitionPeriod = {0}", data.PetitionPeriod);
+                strcmd += string.Format(", PersonCode = {0}", data.PersonCode);
+                strcmd += string.Format(", PetitionDate = TO_DATE('{0}','YYYY/MM/DD')", data.PetitionDate.ToShortDateString());
+                strcmd += string.Format(", OrderFlg = {0}", data.OrderFlg);
+                strcmd += string.Format(", CorporateStatusName = '{0}'", data.CorporateStatusName);
+                strcmd += string.Format(", CorporateStatusPoint = {0}", data.CorporateStatusPoint);
+                strcmd += string.Format(", OrderersName1 = '{0}'", data.OrderersName1);
+                strcmd += string.Format(", OrderersName2 = '{0}'", data.OrderersName2);
+                strcmd += string.Format(", DepartmentName = '{0}'", data.DepartmentName);
+                strcmd += string.Format(", ChargePersonName = '{0}'", data.ChargePersonName);
+                strcmd += string.Format(", ZipCode = '{0}'", data.ZipCode);
+                strcmd += string.Format(", Address1 = '{0}'", data.Address1);
+                strcmd += string.Format(", Address2 = '{0}'", data.Address2);
+                strcmd += string.Format(", Address3 = '{0}'", data.Address3);
+                strcmd += string.Format(", PhoneNumber = '{0}'", data.PhoneNumber);
+                strcmd += string.Format(", FaxNumber = '{0}'", data.FaxNumber);
+                strcmd += string.Format(", MailAddress = '{0}'", data.MailAddress);
+                strcmd += string.Format(", Note = '{0}'", data.Note);
+                strcmd += string.Format(", OrderCotegory = {0}", data.OrderCotegory);
+                strcmd += string.Format(", OrderNo = {0}", data.OrderNo);
+
+                strcmd += ", UpdateDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strcmd += AddSQLString;
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 発注者登録申請データ削除
+        /// <summary>
+        /// 発注者登録申請データ削除
+        /// </summary>
+        /// <param name="AddSQLString">削除条件SQL文字列</param>
+        /// <param name="data">発注者登録申請データデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool DeleteAction(string AddSQLString, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            try
+            {
+                strcmd = string.Format("{0}{1}", "DELETE FROM CostomerRegist", AddSQLString);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 1項目の更新を行う
+        /// <summary>
+        /// 1項目の更新を行う
+        /// </summary>
+        /// <returns></returns>
+        public bool UpdateFeild(int PetitionNo, int SeqNo, int FeildNo, object value, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                strcmd = "UPDATE CostomerRegist";
+
+                strcmd += " SET";
+                switch (FeildNo)
+                {
+                    case (int)DataColumn.PetitionNo:
+                        strcmd += string.Format(" PetitionNo = {0}", ((int)value).ToString());
+                        break;
+                    case (int)DataColumn.SeqNo:
+                        strcmd += string.Format(" SeqNo = {0}", ((int)value).ToString());
+                        break;
+                    case (int)DataColumn.PetitionPeriod:
+                        strcmd += string.Format(" PetitionPeriod = {0}", ((int)value).ToString());
+                        break;
+                    case (int)DataColumn.PersonCode:
+                        strcmd += string.Format(" PersonCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)DataColumn.PetitionDate:
+                        strcmd += string.Format(" PetitionDate = TO_DATE('{0}','YYYY/MM/DD')", ((DateTime)value).ToShortDateString());
+                        break;
+                    case (int)DataColumn.OrderFlg:
+                        strcmd += string.Format(" OrderFlg = {0}", ((int)value).ToString());
+                        break;
+                    case (int)DataColumn.CorporateStatusName:
+                        strcmd += string.Format(" CorporateStatusName = '{0}'", value.ToString());
+                        break;
+                    case (int)DataColumn.CorporateStatusPoint:
+                        strcmd += string.Format(" CorporateStatusPoint = '{0}'", value.ToString());
+                        break;
+                    case (int)DataColumn.OrderersName1:
+                        strcmd += string.Format(" OrderersName1 = '{0}'", value.ToString());
+                        break;
+                    case (int)DataColumn.OrderersName2:
+                        strcmd += string.Format(" OrderersName2 = '{0}'", value.ToString());
+                        break;
+                    case (int)DataColumn.DepartmentName:
+                        strcmd += string.Format(" DepartmentName = '{0}'", value.ToString());
+                        break;
+                    case (int)DataColumn.ChargePersonName:
+                        strcmd += string.Format(" ChargePersonName = '{0}'", value.ToString());
+                        break;
+                    case (int)DataColumn.ZipCode:
+                        strcmd += string.Format(" ZipCode = '{0}'", value.ToString());
+                        break;
+                    case (int)DataColumn.Address1:
+                        strcmd += string.Format(" Address1 = '{0}'", value.ToString());
+                        break;
+                    case (int)DataColumn.Address2:
+                        strcmd += string.Format(" Address2 = '{0}'", value.ToString());
+                        break;
+                    case (int)DataColumn.Address3:
+                        strcmd += string.Format(" Address3 = '{0}'", value.ToString());
+                        break;
+                    case (int)DataColumn.PhoneNumber:
+                        strcmd += string.Format(" PhoneNumber = '{0}'", value.ToString());
+                        break;
+                    case (int)DataColumn.FaxNumber:
+                        strcmd += string.Format(" FaxNumber = '{0}'", value.ToString());
+                        break;
+                    case (int)DataColumn.MailAddress:
+                        strcmd += string.Format(" MailAddress = '{0}'", value.ToString());
+                        break;
+                    case (int)DataColumn.Note:
+                        strcmd += string.Format(" Note = '{0}'", value.ToString());
+                        break;
+                    case (int)DataColumn.OrderCotegory:
+                        strcmd += string.Format(" OrderCotegory = {0}", ((int)value).ToString());
+                        break;
+                    case (int)DataColumn.OrderNo:
+                        strcmd += string.Format(" OrderNo = {0}", ((int)value).ToString());
+                        break;
+                }
+
+                strcmd += ", UpdateDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strcmd += CreatePrimarykeyString(PetitionNo, SeqNo);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (OracleException oraex)
+            {
+                logger.ErrorFormat("オラクルエラー：{0}：{1}", CommonMotions.GetMethodName(2), oraex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region OracleDataReaderより構造体へセットする
+        /// <summary>
+        /// OracleDataReaderより構造体へセットする
+        /// </summary>
+        /// <param name="reader">OracleDataReader</param>
+        /// <param name="wrk">構造体</param>
+        public void Reader2Struct(object[] objwrk, ref CostomerRegist wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.PetitionNo = int.Parse(objwrk[(int)DataColumn.PetitionNo].ToString());
+                wrk.SeqNo = int.Parse(objwrk[(int)DataColumn.SeqNo].ToString());
+                wrk.PetitionPeriod = int.Parse(objwrk[(int)DataColumn.PetitionPeriod].ToString());
+                wrk.PersonCode = int.Parse(objwrk[(int)DataColumn.PersonCode].ToString());
+                wrk.OrderFlg = int.Parse(objwrk[(int)DataColumn.OrderFlg].ToString());
+                wrk.PetitionDate = DateTime.Parse(objwrk[(int)DataColumn.PetitionDate].ToString());
+                wrk.CorporateStatusName = objwrk[(int)DataColumn.CorporateStatusName].ToString();
+                wrk.CorporateStatusPoint = int.Parse(objwrk[(int)DataColumn.CorporateStatusPoint].ToString());
+
+                wrk.OrderersName1 = objwrk[(int)DataColumn.OrderersName1].ToString();
+                wrk.OrderersName2 = objwrk[(int)DataColumn.OrderersName2].ToString();
+                wrk.DepartmentName = objwrk[(int)DataColumn.DepartmentName].ToString();
+                wrk.ChargePersonName = objwrk[(int)DataColumn.ChargePersonName].ToString();
+                wrk.ZipCode = objwrk[(int)DataColumn.ZipCode].ToString();
+                wrk.Address1 = objwrk[(int)DataColumn.Address1].ToString();
+                wrk.Address2 = objwrk[(int)DataColumn.Address2].ToString();
+                wrk.Address3 = objwrk[(int)DataColumn.Address3].ToString();
+                wrk.PhoneNumber = objwrk[(int)DataColumn.PhoneNumber].ToString();
+                wrk.FaxNumber = objwrk[(int)DataColumn.FaxNumber].ToString();
+                wrk.MailAddress = objwrk[(int)DataColumn.MailAddress].ToString();
+                wrk.Note = objwrk[(int)DataColumn.Note].ToString();
+                wrk.OrderCotegory = int.Parse(objwrk[(int)DataColumn.OrderCotegory].ToString());
+                wrk.OrderNo = int.Parse(objwrk[(int)DataColumn.OrderNo].ToString());
+
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)DataColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)DataColumn.UpdateDate].ToString());
+            }
+            catch (OracleException oraex)
+            {
+                logger.ErrorFormat("オラクルエラー：{0}：{1}", CommonMotions.GetMethodName(2), oraex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(2), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 登録申請コードの最大値を取得する
+        /// <summary>
+        /// 登録申請コードの最大値を取得する
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public int SelectMaxSeqNo(string AddSQLString, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+            int iRet = 0;
+            try
+            {
+                // SQL作成
+                strcmd = "SELECT NVL(MAX(SeqNo), 0) FROM CostomerRegist" + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    if (objwrk[0].ToString().Equals("null"))
+                        iRet = 0;
+                    else
+                        iRet = int.Parse(objwrk[0].ToString());
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+            }
+
+            return iRet;
+        }
+        #endregion
+
+        #region 主キー検索の文字列を返す
+        /// <summary>
+        /// 主キー検索の文字列を返す
+        /// </summary>
+        /// <param name="ItemCode">大工種キー</param>
+        /// <returns>Where文字列</returns>
+        public string CreatePrimarykeyString(int PetitionNo, int SeqNo = 0)
+        {
+            string strWork = "";
+            try
+            {
+                strWork = string.Format(" WHERE PetitionNo = {0}", PetitionNo);
+                if (SeqNo != 0)
+                    strWork += string.Format(" AND SeqNo = {0}", SeqNo);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+            }
+
+            return strWork;
+        }
+        #endregion
+    }
+}
